Package org.jboss.logmanager.config

## Interface ValueExpression.Resolver<T>

Type Parameters:
  `T` - the value type

Enclosing interface:
  ValueExpression<T>

    public static interface ValueExpression.Resolver<T>

Resolves the value expression from an expression.

### Method Summary

All Methods Instance Methods Abstract Methods
`ValueExpression<T>` `resolve​(java.lang.String expression)` Resolves the value of an expression.

### Method Detail

#### resolve

    ValueExpression<T> resolve​(java.lang.String expression)

Resolves the value of an expression.

Parameters:
  `expression` - the expression to parse
Returns:
  the value expression